| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
libdar::Ethread_cancel Class Reference
API

exception used when the thread libdar is running in is asked to stop More...

`#include <erreurs.hpp>`

Inherits libdar::Egeneric.

Inherited by libdar::Ethread_cancel_with_attr.

## Public Member Functions
| Ethread_cancel (bool now, U_64 x_flag)
bool | immediate_cancel () const
U_64 | get_flag () const
Public Member Functions inherited from libdar::Egeneric
| Egeneric (const std::string &source, const std::string &message)
| the constructor
virtual | ~Egeneric ()
| the destructor
virtual void | stack (const std::string &passage, const std::string &message="")
| add more detailed couple of information to the exception
const std::string & | get_message () const
| get the message explaing the nature of the exception More...
const std::string & | get_source () const
| get the call function which has thrown this exception
const std::string & | find_object (const std::string &location) const
| retrieve the objet (object) associated to a given "lieu" (location) from the stack More...
void | prepend_message (const std::string &context)
| prepend error message by the given string
void | dump () const
std::string | dump_str () const
| return a string result of the exception information dump

## Protected Member Functions
std::string | exceptionID () const

## Detailed Description

exception used when the thread libdar is running in is asked to stop

Definition at line 297 of file erreurs.hpp.

The documentation for this class was generated from the following file:

- erreurs.hpp